# Kobo Reader Web portal
This repo aims to create a quick and easy web portal for Kobo E-ink devices, it includes a search bar for DuckDuckGo and some common sites that are usable on the limited web browser. 

## Setup
1. Copy this repository to your Kobo device. It is recommended to create a new folder in `.adds`, in this case I have named it `web`.
2. Add the following to `.kobo/Kobo/Kobo eReader.conf` to prevent Nickel from adding the `.html` and `.svg` files to your library

```
[FeatureSettings]
ExcludeSyncFolders=(\\.(?!kobo|adobe).+|([^.][^/]*/)+\\..+)
```
3. Open the web browser in Nickel, browse to `file:///mnt/onboard/.adds/web/html/index.html` and set it as your start page using the context menu or continue to [setup with Nickelmenu](#nickelmenu-setup)

### NickelMenu setup
For easier access, add the web browser to [NickelMenu](https://pgaskin.net/NickelMenu/) by putting the following in `.adds/nm/config`. 

```
menu_item:main:Web Browser:nickel_browser:file:///mnt/onboard/.adds/web/html/index.html
menu_item:browser:Close:nickel_misc:home
```

This will open the web browser in full screen which is nice, however, you won't be able to close it without rebooting your device. The second line adds a `Close` button in the browser menu to go back to the home screen.

> :note: **Heads up:**<br>
> Remember to change the path in the first line if you choose to put the contents of this repository somewhere else. 

## Screenshot
![Screenshot 1](./res/screenshots/screen_002.png)

---
Arne van Iterson, 2023